Skip to main content
GET
/
v1
/
markets
/
{platform}
/
{market_id}
/
history
Get market price history
curl --request GET \
  --url https://api.rekko.ai/v1/markets/{platform}/{market_id}/history
import requests

url = "https://api.rekko.ai/v1/markets/{platform}/{market_id}/history"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.rekko.ai/v1/markets/{platform}/{market_id}/history', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{}
{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}

Path Parameters

platform
string
required
Example:

"kalshi"

market_id
string
required
Example:

"KXAGICO-COMP-28Q1"

Query Parameters

period
string
default:7d

Time period: '48h', '7d', or '30d'

max_points
integer
default:48

Maximum data points to return

Required range: 10 <= x <= 200

Response

Successful Response

The response is of type Response /V1/Markets/{Platform}/{Market Id}/History · object.